Mailinglist Archive: opensuse-factory (742 mails)

< Previous Next >
[opensuse-factory] Leap 15.0 Build 149.1 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.0&build=149.1&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.0

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=168760829
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
ImageMagick (7.0.7.22 -> 7.0.7.23)
Mesa
Mesa-drivers
NetworkManager
autoyast2 (4.0.31 -> 4.0.36)
bijiben
bluedevil5 (5.12.1 -> 5.12.2)
breeze (5.12.1 -> 5.12.2)
breeze-gtk (5.12.1 -> 5.12.2)
breeze4-style (5.12.1 -> 5.12.2)
cups-filters (1.19.0 -> 1.20.0)
discover (5.12.1 -> 5.12.2)
dracut
drkonqi5 (5.12.1 -> 5.12.2)
ffmpeg (3.4.1 -> 3.4.2)
fftw3
fluidsynth
glibc
glibc
gnome-autoar (0.2.2 -> 0.2.3)
gnome-session
gnome-themes-standard
gnutls
grilo-plugins
gstreamer-plugins-bad
gtk3 (3.22.26 -> 3.22.28)
icewm
kactivitymanagerd (5.12.1 -> 5.12.2)
kcm_sddm (5.12.1 -> 5.12.2)
kde-cli-tools5 (5.12.1 -> 5.12.2)
kde-gtk-config5 (5.12.1 -> 5.12.2)
kde-user-manager (5.12.1 -> 5.12.2)
kexec-tools
kgamma5 (5.12.1 -> 5.12.2)
khotkeys5 (5.12.1 -> 5.12.2)
kinfocenter5 (5.12.1 -> 5.12.2)
kmenuedit5 (5.12.1 -> 5.12.2)
kmozillahelper (5.0.1 -> 5.0.2)
kscreen5 (5.12.1 -> 5.12.2)
kscreenlocker (5.12.1 -> 5.12.2)
ksshaskpass5 (5.12.1 -> 5.12.2)
ksysguard5 (5.12.1 -> 5.12.2)
kwayland-integration (5.12.1 -> 5.12.2)
kwin5 (5.12.1 -> 5.12.2)
libcdio
liberation-fonts
libkdecoration2 (5.12.1 -> 5.12.2)
libkscreen2 (5.12.1 -> 5.12.2)
libksysguard5 (5.12.1 -> 5.12.2)
libmygpo-qt (1.0.7 -> 1.0.9)
libnsl
libqt5-qtbase
libstorage-ng (3.3.172 -> 3.3.182)
libtasn1
libyui-ncurses (2.50.0 -> 2.50.1)
lsof (4.89 -> 4.90)
mariadb (10.2.12 -> 10.2.13)
milou5 (5.12.1 -> 5.12.2)
mjpegtools
multipath-tools (0.7.3+38+suse.a16beed5280a -> 0.7.3+52+suse.08a969b7fce0)
open-iscsi
oxygen5 (5.12.1 -> 5.12.2)
pam-config (0.94 -> 0.95)
parted
patterns-base
phonon (4.9.0 -> 4.10.0)
phonon4qt5 (4.9.1 -> 4.10.0)
plasma-nm5 (5.12.1 -> 5.12.2)
plasma5-addons (5.12.1 -> 5.12.2)
plasma5-desktop (5.12.1 -> 5.12.2)
plasma5-integration (5.12.1 -> 5.12.2)
plasma5-openSUSE
plasma5-pa (5.12.1 -> 5.12.2)
plasma5-workspace (5.12.1 -> 5.12.2)
polkit-kde-agent-5 (5.12.1 -> 5.12.2)
powerdevil5 (5.12.1 -> 5.12.2)
protobuf
python-base
python3
python3-base
release-notes-openSUSE (15.0.20171018 -> 15.0.20180228)
rpm
sddm
solid
sudo (1.8.21p2 -> 1.8.22)
systemd
systemsettings5 (5.12.1 -> 5.12.2)
util-linux
util-linux-systemd
wicked (0.6.44 -> 0.6.45)
wmctrl
xdm
xorg-x11-server
yast2 (4.0.53 -> 4.0.56)
yast2-apparmor (4.0.3 -> 4.0.4)
yast2-bootloader (4.0.18 -> 4.0.19)
yast2-firewall (4.0.15 -> 4.0.17)
yast2-installation (4.0.33 -> 4.0.35)
yast2-network (4.0.15 -> 4.0.16)
yast2-nfs-client (4.0.1 -> 4.0.3)
yast2-ntp-client (4.0.7 -> 4.0.8)
yast2-packager (4.0.41 -> 4.0.44)
yast2-perl-bindings (4.0.0 -> 4.0.1)
yast2-storage-ng (4.0.108 -> 4.0.117)
yast2-users (4.0.1 -> 4.0.2)
yp-tools

=== Details ===

==== ImageMagick ====
Version update (7.0.7.22 -> 7.0.7.23)
Subpackages: libMagick++-7_Q16HDRI4 libMagickCore-7_Q16HDRI5
libMagickWand-7_Q16HDRI5

- update to 7.0.7.23
* Fixed numerous use of uninitialized values, integer overflow,
memory exceeded, and timeouts (credit to OSS Fuzz).
* Add list-length policy to limit the maximum image sequence length.
- added patches
+ ImageMagick-montage.t-directory-exception.patch
+ ImageMagick-820e636.patch
- Add explicit buildrequires on: pkgconfig(libwebpmux),
pkgconfig(cairo), pkgconfig(fontconfig), pkgconfig(libpng),
pkgconfig(x11), pkgconfig(xext), pkgconfig(zlib). all
of them direct build dependencies but not included in
the spec file
- update context for ImageMagick-s390-disable-tests.patch

==== Mesa ====
Subpackages: Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1 libwayland-egl1

- removed u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
which is no longer needed due to changed LLVM build (boo#1082307)
- merge content of new rpmlintrc into existing Mesa-rpmlintrc file
- no longer run ldconfig for the follwing backend (ICD) drivers,
since it's considered wrong: xvmc, vdpau, va, opencl, and vulkan;
required adding a rpmlintrc file with appropriate rules
(boo#1082316)
- removed no longer needed ncurses-devel BuildRequires (boo#1082315)
- redone u_add_llvm_codegen_dependencies.patch and renamed to
u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
(boo#1082307)
- removed u_mesa-8.0.1-fix-16bpp.patch and
u_mesa-8.0-llvmpipe-shmget.patch, which we no longer apply since
about 5 years (boo#1082305)
- recreated u_mesa-python3-only.patch and renamed to
u_r600-egd_tables.py-added-support-for-python-3.patch; also
removed first hunk (boo#1082303)
- removed n_Define-GLAPIVAR-separate-from-GLAPI.patch
* bits moved to libGLw's n_Use-newly-introduced-GLAPIVAR-for-variables.patch
(boo#1082297)
- Mesa-gallium only exists if %{with_opencl}
- Add support for riscv64

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- removed u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
which is no longer needed due to changed LLVM build (boo#1082307)
- merge content of new rpmlintrc into existing Mesa-rpmlintrc file
- no longer run ldconfig for the follwing backend (ICD) drivers,
since it's considered wrong: xvmc, vdpau, va, opencl, and vulkan;
required adding a rpmlintrc file with appropriate rules
(boo#1082316)
- removed no longer needed ncurses-devel BuildRequires (boo#1082315)
- redone u_add_llvm_codegen_dependencies.patch and renamed to
u_configure.ac-Link-to-libLLVMCodegen-to-fix-cyclic-li.patch
(boo#1082307)
- removed u_mesa-8.0.1-fix-16bpp.patch and
u_mesa-8.0-llvmpipe-shmget.patch, which we no longer apply since
about 5 years (boo#1082305)
- recreated u_mesa-python3-only.patch and renamed to
u_r600-egd_tables.py-added-support-for-python-3.patch; also
removed first hunk (boo#1082303)
- removed n_Define-GLAPIVAR-separate-from-GLAPI.patch
* bits moved to libGLw's n_Use-newly-introduced-GLAPIVAR-for-variables.patch
(boo#1082297)
- Mesa-gallium only exists if %{with_opencl}
- Add support for riscv64

==== NetworkManager ====
Subpackages: NetworkManager-lang libnm-glib-vpn1 libnm-glib4 libnm-util2 libnm0
typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0 typelib-1_0-NetworkManager-1_0

- Add nm-preserve-agent-owned-secrets-on-connection-update.patch:
Backport upstream commit to preserve agent-owned secrets on
connection update (bgo#793324, bsc#1082762).

==== autoyast2 ====
Version update (4.0.31 -> 4.0.36)
Subpackages: autoyast2-installation

- adapted to new activate callbacks in libstorage-ng (see
bsc#1082542)
- 4.0.36
- Add missing textdomains to create proper potfiles (bsc#1083015)
- 4.0.35
- Manage errors during hardware activation in the same way than
normal installation - asking the user and trying to continue if
the question times out (related to bsc#1079061).
- 4.0.34
- Upgrade: Speedup PKG call (bnc#1074082)
- 4.0.33
- Remove calls to the old yast2-storage layer (bsc#1071978)
- Fix AutoYaST UI to to show partitions properly
- 4.0.32

==== bijiben ====
Subpackages: bijiben-lang gnome-shell-search-provider-bijiben

- Pass --disable-Werror to configure: this is released code and we
don't have to fail when any dependency deprecates, but still
supports, some functions.

==== bluedevil5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: bluedevil5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze ====
Version update (5.12.1 -> 5.12.2)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze-gtk ====
Version update (5.12.1 -> 5.12.2)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== breeze4-style ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== cups-filters ====
Version update (1.19.0 -> 1.20.0)

- Version upgrade to 1.20.0:
* Mainly enhancements and fixes for the PPD generator.
* For detailed info see the NEWS file.
- fix_upstream_bug_1421.patch is the upstream fix for
https://bugs.linuxfoundation.org/show_bug.cgi?id=1421
- Use 'BuildRequires python3-cups' only if suse_version >= 1330
(cf. "Do not require python-cups but rather python3-cups" below)
which means after any SLE12 service pack and after any Leap 42.x
i.e. for Tumbleweed, Leap 15.x, and the upcoming SLE15 and later
otherwise still use 'BuildRequires python-cups' to make it build
and usable again not only on some newest systems according to
https://en.opensuse.org/openSUSE:How_to_contribute_to_the_Printing_project

==== discover ====
Version update (5.12.1 -> 5.12.2)
Subpackages: discover-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix checking if the package is already on the ResProxyModel
* Add multimedia sub-categories
* Put all systemwide add-ons in Plasma Addons category (kde#390594)
* Sort by sortable rating
* Make it possible to debug sorting
* Make sure sortableRating is initialised
* Don't let the user write the first review for apps they haven't installed
* Fix warning
* Only instantiate the ProgressView sheet when it's to be displayed
* Fix placement of the BusyIndicator over loading screenshots (kde#390391)
* Update copyright year (kde#390358)

==== dracut ====

- 40network: disable arping, it is no longer part of default installation
(bsc#1078245)
* Adds 0557-40network-make-arping-optional.patch
- 40network: replace brctl, it is longer part of default installation
(bsc#1078245)
* Adds 0558-40network-remove-brctl-dependency.patch

==== drkonqi5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: drkonqi5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== ffmpeg ====
Version update (3.4.1 -> 3.4.2)
Subpackages: libavcodec57 libavdevice57 libavfilter6 libavformat57
libavresample3 libavutil55 libpostproc54 libswresample2 libswscale4

- Enable mpeg1video and mpeg2video in enable_decoders, and remove
it from disable-decoders call given to configure, mpeg2 now
available in openSUSE.
- enable video stabilization/deshaking via libvidstab (optional)
- Update to new bugfix release 3.4.2
* Fix integer overflows, multiplication overflows, undefined
shifts, and verify buffer lengths.
* avfilter/vf_transpose: Fix used plane count
[boo#1078488, CVE-2018-6392]
* avcodec/utvideodec: Fix bytes left check in decode_frame()
[boo#1079368, CVE-2018-6621]
- Enable use of libzvbi for displaying teletext subtitles.
- Fixed a DoS in swri_audio_convert(), added cve-2017-17555.diff
[boo#1072366, CVE-2017-17555].

==== fftw3 ====

- Add support for openmpi2 for the HPC build (FATE#325089).
- Switch to openmpi2 instead of openmpi (bsc#1082302),
apart from ppc64 as openmpi2 does not support it.

==== fluidsynth ====

- Switch to cmake macros
- Use %license to install license
- Disable optional lash support as we try to remove lash
- Format with spec-cleaner

==== glibc ====
Subpackages: glibc-32bit glibc-locale-32bit

- stack-guard-size-accounting.patch: Fix stack guard size accounting
(bsc#1074208, BZ #22637)
- libgcc-rtld-now.patch: Open libgcc.so with RTLD_NOW during
pthread_cancel (bsc#1074208, BZ #22636)
- Mark source0 as nosource in non-main source rpms
- Add systemtap-headers to BuildRequires.
- Add --enable-systemtap to configure arguments. (fate#324969,
bsc#1073636)

==== glibc ====
Subpackages: glibc-extra glibc-locale nscd

- stack-guard-size-accounting.patch: Fix stack guard size accounting
(bsc#1074208, BZ #22637)
- libgcc-rtld-now.patch: Open libgcc.so with RTLD_NOW during
pthread_cancel (bsc#1074208, BZ #22636)
- Mark source0 as nosource in non-main source rpms
- Add systemtap-headers to BuildRequires.
- Add --enable-systemtap to configure arguments. (fate#324969,
bsc#1073636)

==== gnome-autoar ====
Version update (0.2.2 -> 0.2.3)
Subpackages: libgnome-autoar-0-0 libgnome-autoar-gtk-0-0

- Update to version 0.2.3:
+ Use proper extracted name for xz archives.
+ Fix decompressing files with legacy encoding file names.
- Run spec-cleaner, modernize spec, use autosetup and make_build
macros.

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session gnome-session-lang

- Fix build on s390/s390x without wayland: do not setup the system
for default-waylandsession alternatives.

==== gnome-themes-standard ====
Subpackages: gnome-themes-accessibility gnome-themes-accessibility-gtk2
gtk2-metatheme-adwaita gtk2-theming-engine-adwaita gtk3-metatheme-adwaita
metatheme-adwaita-common

- Ensure gtk2-32bit engine has the proper supplements to be
automatically selected.

==== gnutls ====

- Use %license (boo#1082318)
- Sanity check key size in SSSE3 AES cipher implementation (bsc#1074303)
* add gnutls-check_aes_keysize.patch

==== grilo-plugins ====
Subpackages: grilo-plugin-tracker grilo-plugin-youtube grilo-plugins-lang

- Disable chroma and dmapsharing when building on SLE (not
available there).

==== gstreamer-plugins-bad ====
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0
libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0
libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0
libgstwayland-1_0-0

- Move pkgconfig(mjpegtools) BuildRequires and resulting plugins to
normal build, mjpegtools with all needed features are now
available in openSUSE.
- No longer pass --disable-mpegpsmux and --disable-mpegtsmux to
configure, and move the resulting plugins to normal build. This
was originally done due to a possible license issue, however on
closer inspection, the plugins in question clearly states that
one can use any of the four licenses listed, so we elect to use
LGPL-2.1+.
- Remove conditional for libgstwayland-1_0-0 subpackage, need due
to it beeing in baselibs.conf, and lint bots declines this now.

==== gtk3 ====
Version update (3.22.26 -> 3.22.28)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-lang
gtk3-schema gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.28:
+ Improve frame clock accuracy (bgo#787665).
+ Bugs fixed: bgo#793442.
- Update to version 3.22.27:
+ Require libcloudproviders 0.2.5.
+ The Emoji chooser can now be used with GtkTextView as well.
+ The Emoji chooser avoids fallback sequences that break the
grid.
+ GTK+ is now using ~/.config/gtk-3.0/settings.ini when using
Wayland without dconf.
+ Make fuse-mounted network filesystems show up in Other
Locations.
+ The font chooser dialog supports search now.
+ Bugs fixed: bgo#737175, bgo#741633, bgo#771986, bgo#774248,
bgo#779009, bgo#786123, bgo#786509, bgo#786528, bgo#787089,
bgo#787128, bgo#789054, bgo#789160, bgo#789268, bgo#790029,
bgo#790031, bgo#790033, bgo#790201, bgo#790270, bgo#790862,
bgo#790963, bgo#791039, bgo#791062, bgo#791234, bgo#791281,
bgo#791363, bgo#791549, bgo#791650, bgo#791710, bgo#791943,
bgo#792279, bgo#792459, bgo#792624.
+ Updated translations.
- Drop
gtk3-placesview-Present-FUSE-reachable-network-shares-in-.patch:
fixed upstream.

==== icewm ====
Subpackages: icewm-default icewm-lang

- Add icewm-use-iproute2-ss-instead-of-netstat.patch:
Because netstat is not available by default, so call "ss" instead
of "netstat", and make the Clock command work on icewm
( bsc#1079627 ).

==== kactivitymanagerd ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kactivitymanagerd-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kcm_sddm ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kcm_sddm-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None
- Refreshed patches:
* 0001-Replace-autologin-configuration-with-a-note-to-use-Y.patch
* 0002-Support-default.session-symlink.patch
* set-default-session-to-plasma5-for-autologin.patch

==== kde-cli-tools5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-cli-tools5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kde-gtk-config5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kde-user-manager ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kde-user-manager-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kexec-tools ====

- kexec-tools-ppc64-parse-ibm-dynamic-memory.patch: kexec/ppc64:
add support to parse ibm, dynamic-memory-v2 property
(bsc#1081789, LTC#164625).
- kexec-tools-add-a-helper-function-to-add-ranges.patch: kexec: add
a helper function to add ranges (bsc#1081789, LTC#164625).

==== kgamma5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kgamma5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== khotkeys5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: khotkeys5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kinfocenter5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kinfocenter5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kmenuedit5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kmenuedit5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kmozillahelper ====
Version update (5.0.1 -> 5.0.2)

- Update to 5.0.2:
* Workaround for file dialogs failing to deliver the result
under some circumstances

==== kscreen5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kscreen5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kscreenlocker ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Update size hint of lnf config widget (kde#389483)

==== ksshaskpass5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: ksshaskpass5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== ksysguard5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: ksysguard5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None
- Refreshed patches:
* 0001-Use-run-for-ksysguardd-s-pid-file.patch

==== kwayland-integration ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== kwin5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: kwin5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libcdio ====
Subpackages: libcdio16 libiso9660-10

- Fix double free vulnerability (bsc#1082877, CVE-2017-18201,
CVE-2017-18201.patch).

==== liberation-fonts ====

- Set this package to obsolete liberation2-fonts to help
with Tumbleweed upgrade (boo#1080244)

==== libkdecoration2 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libkdecorations2-5 libkdecorations2private5

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libkscreen2 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libksysguard5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== libmygpo-qt ====
Version update (1.0.7 -> 1.0.9)

- Update to 1.0.9:
* Different header installation directories for the qt4 & qt5
version
* Bugfix: Top level include_install_dir is now respected
* Support for QJson 0.7
* Default to https instead of http
* Bugfix: Allow setting the server URL
Changes in 1.0.8:
* Support for building the library with Qt5
* Support for the "Get All Subscriptions" API endpoint

==== libnsl ====
Subpackages: libnsl2 libnsl2-32bit

- Use %license instead of %doc [bsc#1082318]

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Enable journald support (boo#1050461)

==== libstorage-ng ====
Version update (3.3.172 -> 3.3.182)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#482
- added check for existence of devicegraphs
- 3.3.182
- merge gh#openSUSE/libstorage-ng#481
- always allow to activate multipath (see bsc#1082542)
- 3.3.181
- merge gh#openSUSE/libstorage-ng#480
- log time in several formats to ease debugging
- 3.3.180
- merge gh#openSUSE/libstorage-ng#479
- recalculate size of volume group when setting extent size
(bsc#1079579)
- added unit tests
- coding style
- added documentation
- 3.3.179
- merge gh#openSUSE/libstorage-ng#478
- generate dot files with more information
- 3.3.178
- merge gh#openSUSE/libstorage-ng#477
- added callbacks to handle errors during activation (bsc#1057426
and others)
- updated pot file
- improved integration test
- 3.3.177
- Translated using Weblate (Swedish)
- 3.3.176
- Translated using Weblate (Swedish)
- 3.3.175
- Translated using Weblate (Swedish)
- 3.3.174
- merge gh#openSUSE/libstorage-ng#476
- improved integration tests
- added documentation
- 3.3.173
- Translated using Weblate (Ukrainian)

==== libtasn1 ====
Subpackages: libtasn1-6

- Use %license (boo#1082318)

==== libyui-ncurses ====
Version update (2.50.0 -> 2.50.1)

- fix translations for advanced help text (bsc#1083015)
- 2.50.1

==== lsof ====
Version update (4.89 -> 4.90)

- Update to version 4.90 [bsc#1081562]
* Taught the Configure script to create a dummy opt_random.h
for FreeBSD systems whose <sys/random.h> includes it.
* Added support for the FreeBSD ZFUSE file system.
* Corrected the quoting in a Darwin putchar() statement in the
dfile.c source file.
* Added support for the FreeBSD DTYPE_PTS file descriptor and
for unknown descriptors that reference the kernel's badfileops
operation switch. Enabled FreeBSD 12.0 support.
* Enhanced -K option with the form "-K i" to direct lsof to
(i)gnore tasks. Linux task reports now include both
process and task command names, making lsof's "-c <name>"
option work correctly.
* Added a patch to prevent NFS blocking in Linux
* Installed a FreeBSD patch that prevents examining a TCP state
structure during a race condition.
* Updated FreeBSD for new UFS inode structure that lacks an i_dev
member in the most recent 12.0-CURRENT.
* Added "#define KLD_MODULE" to dlsof.h and dnode2.c to prevent
<machine/cpuconf.h> from generating an "ARM_NARCH is 0" error.
This is needed so lsof can access kernel structures.
* Added recognition of the FreeBSD 11 file system name "nullfs".
* Added a patch that is needed on FreeBSD 12 so the lsof
compilation can obtain the inpcb and tcpcb structures from
their respective header files. Updated FreeBSD dmnt.c for the
ino64 changes.
* Inserted a patch for Solaris 12.x to avoid compilation errors
from <sys/aio_req.h>.
* Added performance enhancement that uses the FreeBSD closefrom()
and dup2() C library functions when available.
* Corrected FreeBSD lsof's gathering of ZFS file device numbers.
* Updated lsof test library for FreeBSD.
* Updated socket optons information collection from the socket
structure
* Added patch to dlsof.h that avoids a _KERNEL conflict with
bzero.
* Corrected test library to handle 64 bit FreeBSD device numbers.
* Added #defines for FreeBSD 12, src r324225
* Incorporated Linux pseudoterminal endpoint processing (+|-E)
* Corrected Linux command extraction for commands that include
parentheses -- e.g., "(sd-pam)".
- remove lsof_4.89-nfs_hanging.patch that was applied upstream

==== mariadb ====
Version update (10.2.12 -> 10.2.13)
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- update to 10.2.13 GA
* notable changes
* InnoDB updated to 5.7.21
* Galera wsrep library updated to 25.3.23
* MDEV-13869 - MariaDB slow start
* MDEV-14611 - ALTER TABLE EXCHANGE PARTITION does not work
properly when used with DATA DIRECTORY
* MDEV-15249 - Crash in MVCC read after IMPORT TABLESPACE
* Foreign key bugs:
* MDEV-15199 - Referential integrity broken in ON DELETE
CASCADE/MDEV-14222 Unnecessary 'cascade' memory allocation
for every updated row
* MDEV-15219 - FOREIGN KEY CASCADE or SET NULL operations will
not resume after lock wait
* MDEV-15042 - INSERT ON DUPLICATE KEY UPDATE produces error
1032 (Can't find record)
* MDEV-13205 - InnoDB: Failing assertion:
!dict_index_is_online_ddl(index) upon ALTER TABLE
* MDEV-14958 - Merge new release of InnoDB MySQL 5.7.21 to 10.2
* MDEV-15165 - InnoDB purge for index on virtual column is
trying to access an incomplete record
* MDEV-15143 - InnoDB: Rollback of trx with id 0 completed
* MDEV-11415 - Remove excessive undo logging during ALTER
TABLE?ALGORITHM=COPY
* MDEV-15016 - multiple page cleaner threads use a lot of CPU
* MDEV-14941 - Timeouts on persistent statistics tables caused
by MDEV-14511
* MDEV-14985 - innodb_undo_log_truncate may be blocked if
transactions were recovered at startup
* MDEV-14441 - InnoDB hangs when setting
innodb_adaptive_hash_index=OFF during UPDATE
* MDEV-14887 - On a 32-bit system, MariaDB 10.2 mishandles
data file sizes exceeding 4GiB
* fixes for the following security vulnerabilities:
* CVE-2018-2562, CVE-2018-2622, CVE-2018-2640, CVE-2018-2665,
CVE-2018-2668, CVE-2018-2612
* release notes and changelog:
https://mariadb.com/kb/en/library/mariadb-10213-release-notes/
https://mariadb.com/kb/en/library/mariadb-10213-changelog/
* fixes [bsc#1058729] and [bsc#1068906]
- refresh mariadb-10.2.10-disable_openssl_compatibility_check.patch
- refresh mariadb-10.2.3-group.patch
- add dependency on which for galera scripts

==== milou5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: milou5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== mjpegtools ====
Subpackages: libmjpegutils-2_0-0

- No longer use patched tarball for build, mpeg2 is now available
in openSUSE:
+ Drop pre_checkin.sh, mjpegtools-codecpatch.sh and
mjpegtools-codecpatch.patch, no longer needed.
+ Drop BUILD_ORIG and obsolete versions conditionals.
+ Drop previously conditional mjpegtools-orig-addon and
libmpeg2encpp-2_0-0 subpackages.
+ Update baselibs.conf for the new build structure.
+ Add mjpegtools-orig-addon and libmpeg2encpp-2_0-0 Obsoletes:
Ensure a smooth upgrade for our users.
- Make source tarball generation reproducible (boo#1041090)

==== multipath-tools ====
Version update (0.7.3+38+suse.a16beed5280a -> 0.7.3+52+suse.08a969b7fce0)
Subpackages: kpartx multipath-tools-rbd

- Update to version 0.7.3+52+suse.08a969b7fce0:
- Add limited support for displaying native NVMe multipath
(bsc#1082419)
* libmultipath: foreign/nvme: implement path display
* multipathd: use foreign API
* multipath: use foreign API
* libmultipath/foreign: nvme foreign library
* libmultipath/print: add "%G - foreign" wildcard
* libmultipath: API for foreign multipath handling
* libmultipath: print: use generic API for get_x_layout()
* libmultipath: print: convert API to generic data type
* libmultipath: "generic multipath" interface
* libmultipath: add vector_convert()
* libmultipath: add vector_free_const()
* libmultipath: get rid of selector "hack" in print.c
- Fix locking errors detected by coverity check (bsc#1082418)
* checkers/rbd: missing pthread_lock() on failure path
* libmultipath: fix deadlock in tur.c

==== open-iscsi ====
Subpackages: iscsiuio

- Ensure correct dependencies: main package must depend
on (new) libopeniscsiusr package, and devel package
must depend on main package (updating spec file)
- Fix ARP booting issue with different subnets
(bsc#1058463), updating:
* open-iscsi-SUSE-latest.diff.bz2
- Trim filler wording from description.
Update old commands/RPM variables to macros.
- Implement shared library packaging guideline.
- Do not let fdupes run across partitions.

==== oxygen5 ====
Version update (5.12.1 -> 5.12.2)

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== pam-config ====
Version update (0.94 -> 0.95)

- Use %license instead of %doc [bsc#1082318]
- Update to version 0.95:
- fix migration from pam_unix2/pam_pwcheck to pam_unix/pam_cracklib

==== parted ====
Subpackages: libparted0 libparted0-32bit parted-lang

- libparted: Canonicalize /dev/md/ paths (bsc#1078820)
- add: libparted-canonicalize-dev-md-paths.patch
- add: tests-add-helper-require_swap_.patch
- add: tests-add-dev-md-check-to-t6100.patch
- libparted: Fix partition device naming for all devices
(bsc#1078820, bsc#1081547)
- The "_part%d" suffix which has been used for SLE10 compatibility
is wrong now as the kernel does not use that any more and
uses "p%d" instead.
- amend: libparted-partition-naming.patch
- refresh: libparted-fix-nvme-partition-naming.patch
- refresh: libparted-fix-NVDIMM-partition-naming.patch

==== patterns-base ====
Subpackages: patterns-base-32bit patterns-base-apparmor
patterns-base-apparmor_opt patterns-base-base patterns-base-basesystem
patterns-base-console patterns-base-enhanced_base
patterns-base-enhanced_base-32bit patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base-32bit
patterns-base-sw_management patterns-base-update_test patterns-base-x11
patterns-base-x11_enhanced patterns-base-x11_opt

- put cron in base system (bsc#1072602)

==== phonon ====
Version update (4.9.0 -> 4.10.0)

- Update to 4.10.0:
* Changes
+ PulseSupport is more robustly handling device list iteration.
* New API
+ New backend API AudioOutputInterface410. This interface
implements a long-existing frontend interface for category
configuration. Usually, this is managed by the builtin
PulseSupport to force the category on a PulseAudio level,
sometimes this may not be possible because of how the backend
subsystem works and the backend needs to manage this directly.
+ setCategory(Category) is called on the interface when the
synonymous frontend function is called.

==== phonon4qt5 ====
Version update (4.9.1 -> 4.10.0)

- Update to 4.10.0:
* Changes
+ PulseSupport is more robustly handling device list iteration.
* New API
+ New backend API AudioOutputInterface410. This interface
implements a long-existing frontend interface for category
configuration. Usually, this is managed by the builtin
PulseSupport to force the category on a PulseAudio level,
sometimes this may not be possible because of how the backend
subsystem works and the backend needs to manage this directly.
+ setCategory(Category) is called on the interface when the
synonymous frontend function is called.

==== plasma-nm5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma-nm5-lang plasma-nm5-openvpn plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-addons ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-addons-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Remove dead code & translation extraction from release branch
* [Media Frame] Use Label instead of Text (kde#389259)

==== plasma5-desktop ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-desktop-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Disable positioning in popup folderviews
* [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version, v2
* Revert "[lookandfeel kcm] Do not declare plugin in lookandfeeltool code
version"
* Keep item highlighted when context menu opens
* [Look and feel KCM] Fix copying color scheme data
* Unbreak DND.
* [Application Dashboard] Fix erroneously using Plasma icons for applications
(kde#390353)
* [Kickoff] Enable smooth scaling for icon
* Workaround the touchpad toggle button not working
* [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version
* Fix launching by touchscreen tap (kde#366527)
* Fix window pin not showing (kde#390428)

==== plasma5-integration ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.12.2

==== plasma5-pa ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-pa-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== plasma5-workspace ====
Version update (5.12.1 -> 5.12.2)
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix favicons in firefox bookmarks runner (kde#363136)
* Remove uninstalled themerc files for no longer existing Qt themes
* Have all krunner plugin desktop files prefixed with "plasma-runner-"
- Refreshed patches:
* 0001-Rename-qdbus-in-startkde.patch

==== polkit-kde-agent-5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* None

==== powerdevil5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: powerdevil5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Fix PowerDevil shortcuts migration (kde#389991)

==== protobuf ====

- Add adding-Release_CompareAndSwap-64-bit-variant.patch
* Fix compile error undefined reference to
`google::protobuf::internal::Release_CompareAndSwap(long volatile*, long,
long)'
on s390x https://github.com/google/protobuf/issues/3937

==== python-base ====
Subpackages: libpython2_7-1_0 python-xml

- Add python-sorted_tar.patch (boo#1081750)

==== python3 ====
Subpackages: python3-curses python3-dbm

- Drop python3-tk and python3-idle recommends to reduce python3
always pulling X stack bsc#1081751
- Add patch to fix glibc 2.27 fail bsc#1079761:
* fix-localeconv-encoding-for-LC_NUMERIC.patch

==== python3-base ====
Subpackages: libpython3_6m1_0

- ctypes-pass-by-value.patch: Fix pass by value for structs on aarch64
- Add python3-sorted_tar.patch (boo#1081750)
- Add patch to fix glibc 2.27 fail bsc#1079761:
* fix-localeconv-encoding-for-LC_NUMERIC.patch

==== release-notes-openSUSE ====
Version update (15.0.20171018 -> 15.0.20180228)

- Update Makefile to use XSLT to correct some common issues
- Update translations
- 15.0.20180214
- Updated Makefile
- Use itstool instead of xml2po (to get rid of Python 2 deps)
- Packaging
- Removed recode, xml2po dependencies
- Remove unnecessary *.desktop files
- Updated translations (Arabic, Bulgarian, Catalan, Chinese (China),
Czech, Danish, Dutch, French, Galician, German, Italian, Japanese,
Marathi, Portuguese (Brazil), Russian, Serbian, Slovak, Spanish,
Swedish, Ukrainian)
- Added entry for AppArmor stop/restart behavior change (boo#1074097)
- Removed upgrade notes for upgrade from Leap 42.1 and Leap 42.2

==== rpm ====
Subpackages: rpm-32bit

- split riscv64 part from auto-config-update-aarch64-ppc64le.diff
to make the change rust-proof.
new patch: auto-config-update-riscv64.diff

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Only use python-doctools when building for SLE12 since SLE15 has
rst2man in python3-doctools.

==== solid ====
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Add Fix-auto-mount-regression.patch to fix broken "Automount on
login" with solid 5.43.0 (kde#389479)

==== sudo ====
Version update (1.8.21p2 -> 1.8.22)

- Fix sudo prompt: escape %p into %%p to ensure 'p' is not wrapped
and interpreted as being an rpm variable (boo#1081470).
- The sudo distribution files are now signed with a new pgp key.
Refresh sudo.keyring
- Update to 1.8.22 [bsc#1080793]
* Commands run in the background from a script run via sudo will
no longer receive SIGHUP when the parent exits and I/O logging
is enabled
* A particularly offensive insult is now disabled by default
* The description of sudo -i now correctly documents that the
env_keep and env_check sudoers options are applied to the
environment
* Fixed a crash when the system's host name is not set
* The sudoers2ldif script now handles #include and #includedir
directives.
* Fixed a bug where sudo would silently exit when the command
was not allowed by sudoers and the passwd_tries sudoers option
was set to a value less than one.
* Fixed a bug with the listpw and verifypw sudoers options and
multiple sudoers sources. If the option is set to all a
password should be required unless none of a user's sudoers
entries from any source require authentication.
* Fixed a bug with the listpw and verifypw sudoers options in
the LDAP and SSSD back-ends. If the option is set to any and
the entry contained multiple rules, only the first matching
rule was checked. If an entry contained more than one matching
rule and the first rule required authentication but a
subsequent rule did not, sudo would prompt for a password when
it should not have.
* When running a command as the invoking user (not root), sudo
would execute the command with the same group vector it was
started with. Sudo now executes the command with a new group
vector based on the group database which is consistent with how
su(1) operates.
* Fixed a double free in the SSSD back-end that could occur when
ipa_hostname is present in sssd.conf and is set to an unqualified
host name.
* When I/O logging is enabled, sudo will now write to the terminal
even when it is a background process. Previously, sudo would only
write to the tty when it was the foreground process when I/O
logging was enabled. If the TOSTOP terminal flag is set, sudo
will suspend the command (and then itself) with the SIGTTOU signal.
* A new authfail_message sudoers option that overrides the default
N incorrect password attempt(s).
* An empty sudoRunAsUser attribute in the LDAP and SSSD backends
will now match the invoking user. This is more consistent with
how an empty runas user in the sudoers file is treated.
* Documented that in check mode, visudo does not check the owner /
mode on files specified with the -f flag
* It is now an error to specify the runas user as an empty string
on the command line. Previously, an empty runas user was treated
the same as an unspecified runas user
* When timestamp_type option is set to tty and a terminal is
present, the time stamp record will now include the start time
of the session leader. When the timestamp_type option is set
to ppid or when no terminal is available, the start time of the
parent process is used instead. This significantly reduces the
likelihood of a time stamp record being re-used when a user logs
out and back in again.
* The sudoers time stamp file format is now documented in the new
sudoers_timestamp manual.
* Visudo will now use the SUDO_EDITOR environment variable (if
present) in addition to VISUAL and EDITOR.
- rebase sudoers2ldif-env.patch
- cleanup with spec-cleaner

==== systemd ====
Subpackages: libsystemd0 libudev1 libudev1-32bit systemd-32bit
systemd-bash-completion systemd-sysvinit udev

- Add dmi conditions to 80-acpi-container-hotplug.rules (bsc#1078358,
bsc#1081170, bsc#1075743)
Patch sent by Lee, Chun-Yi <jlee@xxxxxxxx> to @systemd-maintainers.

http://mailman.suse.de/mailman/private/systemd-maintainers/2018-February/032177.html
Commit message:
Add dmi/id conditions to 80-acpi-container-hotplug.rules to
restrict the rule that it can only be triggered on Huawei Kunlun
9008, 9016 and 9032 machines. (bsc#1078358, bsc#1081170,
bsc#1075743)

==== systemsettings5 ====
Version update (5.12.1 -> 5.12.2)
Subpackages: systemsettings5-lang

- Update to 5.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
* Improve sidebar header visibility (kde#384638)

==== util-linux ====
Subpackages: libblkid1 libblkid1-32bit libfdisk1 libmount1 libsmartcols1
libuuid1 libuuid1-32bit util-linux-lang

- Fix lsblk on NVMe
(bsc#1078662, util-linux-sysfs-nvme-devno.patch).

==== util-linux-systemd ====

- Fix lsblk on NVMe
(bsc#1078662, util-linux-sysfs-nvme-devno.patch).

==== wicked ====
Version update (0.6.44 -> 0.6.45)
Subpackages: libwicked-0-6 wicked-service

- version 0.6.45
- ibft: no IP setup on bnx2x storage-only interfaces (bsc#1072343)
- fixed format, self compare and always true issues

==== wmctrl ====

- BuildRequire pkgconfig(x11) and pkgconfig(xmu), not
xorg-x11-devel.

==== xdm ====

- fixed syntax in /usr/lib/firewalld/services/x11.xml (boo#1082890)

==== xorg-x11-server ====
Subpackages: xorg-x11-server-extra xorg-x11-server-wayland

- U_xwayland-Don-t-process-cursor-warping-without-an-xwl.patch,
U_xwayland-Give-up-cleanly-on-Wayland-socket-errors.patch,
U_xwayland-avoid-race-condition-on-new-keymap.patch,
U_xwayland-remove-dirty-window-unconditionally-on-unre.patch:
* Various crash and bug fixes in XWayland server (bgo#791383,
bgo#790502).

==== yast2 ====
Version update (4.0.53 -> 4.0.56)

- Fixed a typo and the list item marker in the firewall widget
(bsc#1083058).
- 4.0.55
- NIS configuration fails while executing firewall-offline-cmd.
Fix: Ensure that the firewalld configuration is read before
writing. (bnc#1082827)
- 4.0.55
- Added missing textdomain to firewalld zone class for translations
(bsc#1082246).
- 4.0.54

==== yast2-apparmor ====
Version update (4.0.3 -> 4.0.4)

- fix more translation issues (bsc#1083015)
- 4.0.4

==== yast2-bootloader ====
Version update (4.0.18 -> 4.0.19)

- Remove calls to the old yast2-storage layer (bsc#1071978)
- 4.0.19

==== yast2-firewall ====
Version update (4.0.15 -> 4.0.17)

- Added textdomain for translation (bnc#1083015)
- 4.0.17
- Added textdomain for translation (bnc#1081458)
- 4.0.16

==== yast2-installation ====
Version update (4.0.33 -> 4.0.35)

- fix marking texts for translation (bsc#1081361, bsc#1083015)
- 4.0.35
- More gentle handling of aborts caused by hardware probing errors
(bsc#1079228, bsc#1079817, bsc#1063059, bsc#1080554, bsc#1076776,
bsc#1070459 and some others).
- Re-enable the old fix for bsc#298049 (abort button during ongoing
hardware probing).
- Cleanup of dead code
- 4.0.34

==== yast2-network ====
Version update (4.0.15 -> 4.0.16)

- Really translate firewalld zones (bsc#1082246)
- 4.0.16

==== yast2-nfs-client ====
Version update (4.0.1 -> 4.0.3)

- Fix a missing definition of firewalld method (bsc#1082919)
- 4.0.3
- During installation do not check whether the portmapper package
is installed, fixed error handling when scanning the NFS exports
fails (bsc#1079624)
- 4.0.2

==== yast2-ntp-client ====
Version update (4.0.7 -> 4.0.8)

- Inform user when client cannot sync with NTP server after the
user clik on "sync time now" (bsc#1081000)
- 4.0.8

==== yast2-packager ====
Version update (4.0.41 -> 4.0.44)

- Added product merge: SLE11/12 HA GEO has been merged to SLE15 HA
(bsc#1069705)
- Added a missing textdomain in a file (bsc#1083015)
- Unified text domains to "packager"
- 4.0.44
- Added Live Patching product rename (bsc#1074154)
- 4.0.43
- Fixed installing packages needed for accessing the installation
repositories (e.g. "nfs-client" for "nfs://" repositories),
additionally evaluate also the add-on repositories, not just the
base product repository (bsc#1063980)
- 4.0.42

==== yast2-perl-bindings ====
Version update (4.0.0 -> 4.0.1)

- Added warning to inform user that YAPI is deprecated and should
not be used by any external program (fate#323734).
- 4.0.1

==== yast2-storage-ng ====
Version update (4.0.108 -> 4.0.117)

- More reliable parsing for the hwinfo output (bsc#1082536).
- Better documentation and tests for activate callbacks.
- 4.0.117
- adapted to new activate callbacks in libstorage-ng (see
bsc#1082542)
- 4.0.116
- Keep encryption when adding a device to a LVM volume group
(bsc#1077750).
- 4.0.115
- Improved handling of libstorage-ng errors (bsc#1070459,
bsc#1079228, bsc#1079817, bsc#1063059, bsc#1080554, bsc#1076776,
bsc#1070459 and some others).
- 4.0.114
- Use format(), not Ruby variable expansion for translated messages
(bsc#1081454)
- 4.0.113
- Partitioner: ensure a valid password is provided when encrypting
a device (bsc#1065079).
- Increase to 8 characters the minimum size to consider an
encryption password to be valid (same limit than yast2-storage).
- 4.0.112
- Do not allow to encrypt too small partition (bsc#1065071)
- Check size for separate /boot
- 4.0.111
- Partitioner: prevent to modify devices used in LVM or MD RAID
(bsc#1079827).
- 4.0.110
- Better handling of errors during hardware probing (bsc#1070459,
bsc#1079228, bsc#1079817, bsc#1063059, bsc#1080554, bsc#1076776,
bsc#1070459 and some others).
- 4.0.109
- Avoid to write files in tests (SCR.Write) (fate#323457).

==== yast2-users ====
Version update (4.0.1 -> 4.0.2)

- fix generating pot files (bsc#1083015)
- 4.0.2

==== yp-tools ====

- Use %license instead of %doc [bsc#1082318]


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups